Create a message
curl --request POST \
--url https://api.usecobalt.com/v1/messages \
--header 'Content-Type: application/json' \
--header 'access_token: <api-key>' \
--header 'client_id: <api-key>' \
--header 'client_secret: <api-key>' \
--data '
{
"provider": "12345",
"subject": "Lab results",
"message": "Your recent lab results are ready to view.",
"callback_urls": [
"https://example.com/webhooks/cobalt"
]
}
'import requests
url = "https://api.usecobalt.com/v1/messages"
payload = {
"provider": "12345",
"subject": "Lab results",
"message": "Your recent lab results are ready to view.",
"callback_urls": ["https://example.com/webhooks/cobalt"]
}
headers = {
"client_id": "<api-key>",
"client_secret": "<api-key>",
"access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
client_id: '<api-key>',
client_secret: '<api-key>',
access_token: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
provider: '12345',
subject: 'Lab results',
message: 'Your recent lab results are ready to view.',
callback_urls: ['https://example.com/webhooks/cobalt']
})
};
fetch('https://api.usecobalt.com/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"message_id": "<string>",
"job_id": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}Messages
Send Message
Sends a message to the specified provider.
POST
/
messages
Create a message
Example Request
curl -X POST https://api.usecobalt.com/v1/messages \
-H 'Content-Type: application/json' \
-H 'client_id: ci_live_198908HJDKJSH98789OHKJL' \
-H 'client_secret: cs_live_9827hofdsklOYYHJLJh' \
-H 'access_token: 493JKLHIU98789hLKH9HHJH' \
-d '{
"provider": "123456789",
"subject": "Test Message",
"message": "This is a test message content."
}'
Example Response
{
"success": true,
"message": "Message processing. A webhook event will be sent upon completion.",
"message_id": "msg_123456789",
"job_id": 15550942
}
Request Parameters
The/messages endpoint requires the following fields:
- provider (required): The EHR provider ID to send the message to
- subject (required): The subject line for the message
- message (required): The content of the message to be sent
Authorizations
Body
application/json
EMR provider ID to send the message to. A string of digits only (e.g. "12345").
Example:
"12345"
Message subject.
Example:
"Lab results"
Message body text.
Example:
"Your recent lab results are ready to view."
URLs to receive the completion webhook for this message, in addition to the account webhook.
Example:
["https://example.com/webhooks/cobalt"]